<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/*
Plugin Name: افزونه پیامکی وردپرس تمشک
Plugin URI: http://tameshksms.com/
Description: افزونه پیامکی وردپرس تمشک. تمامی حقوق متعلق است به سامانه پیامک تمشک
Version: 1.0
Author: ماژول بانک -::- سید حمزه فاضلی
Author URI: http://modulebank.ir/
Copyright: 2015 http://modulebank.ir/ , Seyed Hamzeh Fazeli
 */

if (!function_exists('GetSQLValue'))
{
	function GetSQLValue($theValue)
	{
		if (PHP_VERSION < 6)
		{
			$theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
		}
		$theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);
		return $theValue;
	}
}

add_action('plugins_loaded', 'wpsms_init', 0);
function wpsms_init()
{
	function wpsms_register_form()
	{
		global $wpdb;
		$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."wp_sms_register_form` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `name` varchar(100) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
		  `email` varchar(100) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
		  `mobile` varchar(15) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
		  `group` int(11) NOT NULL DEFAULT '0',
		  `time` int(11) NOT NULL,
		  PRIMARY KEY (`id`)
		) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci ;");
		if(isset($_POST['submit_register_form']) && $_POST['submit_register_form'])
		{
			if($_POST['name'] && $_POST['email'] && $_POST['mobile'])
			{
				$name   = isset($_POST['name'])   ? GetSQLValue($_POST['name'])   : '';
				$email  = isset($_POST['email'])  ? GetSQLValue($_POST['email'])  : '';
				$mobile = isset($_POST['mobile']) ? GetSQLValue($_POST['mobile']) : '';
				$wpdb->query("insert into `".$wpdb->prefix."wp_sms_register_form` (`name`,`email`,`mobile`,`time`) values ('$name','$email','$mobile','".time()."')");
				echo '<p class="success">عضویت شما با موفقیت ثبت شد.</p>';
				$_POST['name'] = $_POST['email'] = $_POST['mobile'] = '';
			}
			else
			{
				echo '<p class="error">خطا : تکمیل تمامی فیلد های ستاره دار (*) الزامی می باشد.</p>';
			}
		}
		if(isset($_POST['submit_unregister_form']) && $_POST['submit_unregister_form'] && get_option('wpsms_enable_unregister_form')==1)
		{
			if($_POST['email'] && $_POST['mobile'])
			{
				$email  = isset($_POST['email'])  ? GetSQLValue($_POST['email'])  : '';
				$mobile = isset($_POST['mobile']) ? GetSQLValue($_POST['mobile']) : '';
				$wpdb->query("delete from `".$wpdb->prefix."wp_sms_register_form` where `email`='$email' and `mobile`='$mobile'");
				echo '<p class="success">عضویت شما لغو شد.</p>';
				$_POST['name'] = $_POST['email'] = $_POST['mobile'] = '';
			}
			else
			{
				echo '<p class="error">خطا : تکمیل تمامی فیلد های ستاره دار (*) الزامی می باشد.</p>';
			}
		}
		require_once('register_form.php');
	}
	add_shortcode('wpsms_register_form', 'wpsms_register_form');
	add_action('admin_menu', 'wpsms_menu');
	function wpsms_menu()
	{
		if (function_exists('add_options_page'))
		{
			$capability = 10;
			add_menu_page   ('ماژول پیامکی وردپرس', 'ماژول پیامکی وردپرس', $capability, 'wpsms-setting', 'wpsms_setting', plugin_dir_url( __FILE__ ).'wpsms_by_modulebank.png');
			add_submenu_page('wpsms-setting', 'تنظیمات درگاه پیامک', 'تنظیمات درگاه پیامک', $capability, 'wpsms-setting', 'wpsms_setting');
			add_submenu_page('wpsms-setting', 'ارسال تکی پیامک', 'ارسال تکی پیامک', $capability, 'wpsms-send', 'wpsms_send');
			add_submenu_page('wpsms-setting', 'ارسال گروهی پیامک', 'ارسال گروهی پیامک', $capability, 'wpsms-send-group', 'wpsms_send_group');
			add_submenu_page('wpsms-setting', 'مدیریت گروه های مخاطبین', 'مدیریت گروه های مخاطبین', $capability, 'wpsms-groups', 'wpsms_groups');
			add_submenu_page('wpsms-setting', 'لیست مخاطبین', 'لیست مخاطبین', $capability, 'wpsms-contacts', 'wpsms_contacts');
		}
	}
	function wpsms_groups()
	{
		if (!current_user_can('manage_options'))
		{
			wp_die('You do not have sufficient permissions to access this page.');
		}
		require_once('groups.php');
	}
	function wpsms_contacts()
	{
		if (!current_user_can('manage_options'))
		{
			wp_die('You do not have sufficient permissions to access this page.');
		}
		require_once('contatcs.php');
	}
	function wpsms_send_group()
	{
		if (!current_user_can('manage_options'))
		{
			wp_die('You do not have sufficient permissions to access this page.');
		}
		require_once('send_group.php');
	}
	function wpsms_send()
	{
		if (!current_user_can('manage_options'))
		{
			wp_die('You do not have sufficient permissions to access this page.');
		}
		require_once('send.php');
	}
	function wpsms_setting()
	{
		if (!current_user_can('manage_options'))
		{
			wp_die('You do not have sufficient permissions to access this page.');
		}
		require_once('setting.php');
	}
	function wpsms_SendSMS($to, $text)
	{
		try {
			$client = new SoapClient('http://sms.tameshksms.com/smsSendWebService.asmx?wsdl');
			$parameters = array(
				'UserName' => get_option('wpsms_un'),
				'Pass'     => get_option('wpsms_pw'),
				'Domain'   => 'sms.tameshksms',
			);
			$login = $client->Login($parameters)->LoginResult;
			$parameters = array(
				'SenderNumber' => get_option('wpsms_ln'),
				'MobileNumber' => array($to),
				'SmsText'      => array($text),
				'sendType'     => 'StaticText',
				'smsMode'      => 'SaveInPhone',
			);
			$sent = $client->SendSms($parameters)->SendSmsResult;
			return $sent;
		} catch (SoapFault $ex) { return NULL; }
	}
	function wpsms_GetCredit()
	{
		try {
			$client = new SoapClient('http://sms.tameshksms.com/smsSendWebService.asmx?wsdl');
			$parameters = array(
				'UserName' => get_option('wpsms_un'),
				'Pass'     => get_option('wpsms_pw'),
				'Domain'   => 'sms.tameshksms',
			);
			$login = $client->Login($parameters)->LoginResult;
			$credit = $client->GetCredit($parameters=array())->getCreditResult;
			return $credit;
		} catch (SoapFault $ex) { return NULL; }
	}
	function show_wpsms_widget($args)
	{
		extract($args);
		$title = get_option('wpsms_widget_title');
		if (empty($title)) $title = 'Registration Form';
		echo $before_widget;
		echo $before_title . $title . $after_title;
		wpsms_register_form();
		echo $after_widget;
	}
	function wpsms_widget_control()
	{
		echo ('<p>Set the Plugin Settings from the Settings menu</p>');
	}
	function widget_wpsms()
	{
		$widget_options = array('classname' => 'widget_wpsms', 'description' => 'add registration form to sidebar' );
		wp_register_sidebar_widget('wpsms_widgets', 'WP-SMS', 'show_wpsms_widget', $widget_options);
		wp_register_widget_control('wpsms_widgets', 'WP-SMS', 'wpsms_widget_control' );
	}
	if (get_option('wpsms_enable_register_form')==1)
	{
		add_action('init', 'widget_wpsms');
	}
}
/*
قابلیت تایپ متن پیامک با نمایش( تعداد کاراکترهای تایپ شده / تعداد صفحات پیامک/نمایش اعتبار)
قابلیت ویرایش مشخصات مشترکین خبرنامه
*/