<?php
if (isset($_POST['to']) && isset($_POST['text']) && isset($_POST['Submit']))
{
	$to = $_POST['to'];
	$text = $_POST['text'];
	$result = wpsms_SendSMS($to, $text);
	if (is_object($result)) $result = $result->long;
	if ($result>1)
		$result = 'پیامک ارسال شد';
	elseif ($result==-1)
		$result = 'نام کاربری یا رمز عبور اشتباه می باشد';
	elseif ($result==-2)
		$result = 'خطا در دریافت داده ها';
	elseif ($result==-3)
		$result = 'شماره اختصاصی اشتباه است';
	elseif ($result==-4)
		$result = 'فرمت داده های ورودی اشتباه است';
	elseif ($result==-5)
		$result = 'شناسه پیامک اشتباه است';
	elseif ($result==-6)
		$result = 'ارایه ورودی شناسه ها خالی است';
	elseif ($result==-7)
		$result = 'فرمت تاریخ اشتباه است';
	elseif ($result==-8)
		$result = 'تاریخ یا ساعت ورودی مربوط به گذشته است';
	elseif ($result==-9)
		$result = 'وب سرویس برای این کاربر غیرفعال است';
	elseif ($result==-10)
		$result = 'تعداد ارایه ورودی موبایل اشتباه است';
}
?>
<style>
.note
{
	font-size:10px;
}
tr td:nth-child(1)
{
	text-align:left;
}
textarea
{
	width:400px;
	height:80px;
	min-width:300px;
	min-height:60px;
}
</style>
<div class="wrap">
	<form method="post">
		<table class="form-table">
			<?php wp_nonce_field('update-options');?>
			<?php if (isset($result)) { ?><tr><th colspan="2">نتیجه ارسال پیامک : <?php echo $result; ?></th></tr><?php } ?>
			<tr><th colspan="2">شارژ پنل پیامک : <?php echo number_format(wpsms_GetCredit()); ?> ریال</th></tr>
			<tr><th colspan="2"><h3>ارسال پیامک</h3></th></tr>
			<tr>
				<td width="15%">شماره موبایل گیرنده:</td>
				<td>
					<input type="text" dir="ltr" name="to" />
				</td>
			</tr>
			<tr>
				<td width="15%">متن پیامک:</td>
				<td>
					<textarea name="text"></textarea>
				</td>
			</tr>
			<tr>
				<td></td>
				<td>
					<input type="submit" class="button-primary" name="Submit" value="ارسال" />
				</td>
			</tr>
		</table>
	</form>
</div>